xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) 2018 L. S. Leary
License | BSD3-style (see LICENSE)
Maintainer | L. S. Leary
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Util.Grab

Contents

- Usage

Description

This module should not be directly used by users. Its purpose is to facilitate grabbing and ungrabbing keys.

Synopsis

- grabKP :: KeyMask -> KeyCode -> X ()
- ungrabKP :: KeyMask -> KeyCode -> X ()
- grabUngrab :: [(KeyMask, KeySym)] -> [(KeyMask, KeySym)] -> X ()
- grab :: [(KeyMask, KeySym)] -> X ()
- customRegrabEvHook :: X () -> Event -> X All

# Usage

This module should not be directly used by users. Its purpose is to facilitate grabbing and ungrabbing keys.

grabKP :: KeyMask -> KeyCode -> X () #

A more convenient version of `grabKey`.

ungrabKP :: KeyMask -> KeyCode -> X () #

A more convenient version of `ungrabKey`.

grabUngrab #

Arguments

:: [(KeyMask, KeySym)] | Keys to grab
-> [(KeyMask, KeySym)] | Keys to ungrab
-> X () |

A convenience function to grab and ungrab keys

grab :: [(KeyMask, KeySym)] -> X () #

A convenience function to grab keys. This also ungrabs all previously grabbed keys.

customRegrabEvHook :: X () -> Event -> X All #

An event hook that runs a custom action to regrab the necessary keys.